Subject: git pull is slow

From: Stephan Hennig <[email-masked]>
Date: Thu, 10 Jul 2008 16:40:17 +0200

Hi,

I am observing very large data transfers when pulling from the
repository at <URL:http://repo.or.cz/w/wortliste.git>.  This repository
contains one 13 MB text file that compressed is roughly 3 MB large.

While I'd expect pulling commits that change only a few lines of the
large text file to result in a download of less than, say 10kB, git pull
seems to transfer the complete, compressed file.  I have observed this
several times for different commits.  On the other hand, pushing my own
commits to the repository is fast (with git+ssh access method).  Any
ideas what's going on and how to make pulling faster?

Best regards,
Stephan Hennig

> $ git version
> git version 1.5.6.1.1071.g76fb